use std::io;

mod server;

fn main() {
    let mut server =
        server::ServerCommand::new("paper-1.19.4-545.jar", "data/config", "data/worlds")
            .mem(512, 1024)
            .spawn()
            .unwrap();

    let stdin = io::stdin();
    let input = &mut String::new();

    loop {
        input.clear();
        stdin.read_line(input);
        println!("input: {}", input.trim());
        server.send_command(input);

        if input.trim() == "stop" {
            break;
        }
    }
}
